Debian Bug report logs - #677417
kfreebsd-source-9.0: _types.h breaks tcc as it uses gcc specific type __va_list

version graph

Package: kfreebsd-kernel-headers; Maintainer for kfreebsd-kernel-headers is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for kfreebsd-kernel-headers is src:kfreebsd-kernel-headers.

Reported by: Thomas Preud'homme <robotux@celest.fr>

Date: Wed, 13 Jun 2012 20:39:01 UTC

Severity: important

Tags: upstream

Fixed in version kfreebsd-kernel-headers/0.82

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#677417; Package src:kfreebsd-9. (Wed, 13 Jun 2012 20:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Preud'homme <robotux@celest.fr>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 13 Jun 2012 20:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Preud'homme <robotux@celest.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kfreebsd-source-9.0: _types.h breaks tcc as it uses gcc specific type __va_list
Date: Wed, 13 Jun 2012 22:34:59 +0200
Source: kfreebsd-9
Version: 9.0-3
Severity: important
Tags: upstream

Files _types.h define __builtin_va_list through typedef to be __va_list.
This type is gcc specific and thus may not be accepted by other compilers.
As a matter of fact, tcc stopped being able to compile files on kfreebsd-any
because of this (see [1,2]).

[1] https://buildd.debian.org/status/fetch.php?pkg=tcc&arch=kfreebsd-amd64&ver=0.9.26%7Egit20120612.ad5f375-2&stamp=1339607119
[2] https://buildd.debian.org/status/fetch.php?pkg=tcc&arch=kfreebsd-i386&ver=0.9.26%7Egit20120612.ad5f375-2&stamp=1339606896

Best regards.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'stable-updates'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Bug reassigned from package 'src:kfreebsd-9' to 'kfreebsd-kernel-headers'. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Fri, 15 Jun 2012 16:33:07 GMT) Full text and rfc822 format available.

No longer marked as found in versions kfreebsd-9/9.0-3. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Fri, 15 Jun 2012 16:33:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#677417; Package kfreebsd-kernel-headers. (Fri, 15 Jun 2012 18:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 15 Jun 2012 18:30:05 GMT) Full text and rfc822 format available.

Message #14 received at 677417@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Thomas Preud'homme" <robotux@celest.fr>, 677417@bugs.debian.org
Subject: Re: Bug#677417: kfreebsd-source-9.0: _types.h breaks tcc as it uses gcc specific type __va_list
Date: Fri, 15 Jun 2012 20:28:39 +0200
2012/6/13 Thomas Preud'homme <robotux@celest.fr>:
> Files _types.h define __builtin_va_list through typedef to be __va_list.
> This type is gcc specific and thus may not be accepted by other compilers.
> As a matter of fact, tcc stopped being able to compile files on kfreebsd-any
> because of this (see [1,2]).

Does tcc define __GNUC__?

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#677417; Package kfreebsd-kernel-headers. (Fri, 15 Jun 2012 19:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Thomas Preud'homme" <robotux@celest.fr>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 15 Jun 2012 19:15:06 GMT) Full text and rfc822 format available.

Message #19 received at 677417@bugs.debian.org (full text, mbox):

From: "Thomas Preud'homme" <robotux@celest.fr>
To: Robert Millan <rmh@debian.org>, 677417@bugs.debian.org
Subject: Re: Bug#677417: kfreebsd-source-9.0: _types.h breaks tcc as it uses gcc specific type __va_list
Date: Fri, 15 Jun 2012 21:11:02 +0200
[Message part 1 (text/plain, inline)]
Le vendredi 15 juin 2012 20:28:39, vous avez écrit :
> 2012/6/13 Thomas Preud'homme <robotux@celest.fr>:
> > Files _types.h define __builtin_va_list through typedef to be __va_list.
> > This type is gcc specific and thus may not be accepted by other
> > compilers. As a matter of fact, tcc stopped being able to compile files
> > on kfreebsd-any because of this (see [1,2]).
> 
> Does tcc define __GNUC__?

Nope, it does not.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Fri, 15 Jun 2012 20:06:03 GMT) Full text and rfc822 format available.

Added indication that 677417 affects tcc Request was from Christoph Egger <christoph@debian.org> to control@bugs.debian.org. (Sun, 24 Jun 2012 22:45:06 GMT) Full text and rfc822 format available.

Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Fri, 29 Jun 2012 21:26:56 GMT) Full text and rfc822 format available.

Notification sent to Thomas Preud'homme <robotux@celest.fr>:
Bug acknowledged by developer. (Fri, 29 Jun 2012 21:26:57 GMT) Full text and rfc822 format available.

Message #28 received at 677417-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 677417-close@bugs.debian.org
Subject: Bug#677417: fixed in kfreebsd-kernel-headers 0.82
Date: Fri, 29 Jun 2012 21:18:21 +0000
Source: kfreebsd-kernel-headers
Source-Version: 0.82

We believe that the bug you reported is fixed in the latest version of
kfreebsd-kernel-headers, which is due to be installed in the Debian FTP archive:

kfreebsd-kernel-headers_0.82.dsc
  to main/k/kfreebsd-kernel-headers/kfreebsd-kernel-headers_0.82.dsc
kfreebsd-kernel-headers_0.82.tar.gz
  to main/k/kfreebsd-kernel-headers/kfreebsd-kernel-headers_0.82.tar.gz
kfreebsd-kernel-headers_0.82_kfreebsd-amd64.deb
  to main/k/kfreebsd-kernel-headers/kfreebsd-kernel-headers_0.82_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 677417@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated kfreebsd-kernel-headers package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 29 Jun 2012 21:34:43 +0200
Source: kfreebsd-kernel-headers
Binary: kfreebsd-kernel-headers
Architecture: source kfreebsd-amd64
Version: 0.82
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 kfreebsd-kernel-headers - kFreeBSD headers for development
Closes: 677417
Changes: 
 kfreebsd-kernel-headers (0.82) unstable; urgency=low
 .
   * Convert __GNUCLIKE* feature tests into __GNUC__.  (Closes: #677417)
Checksums-Sha1: 
 0912a2c7af3ef7076a1275319e30e057b539e61a 1201 kfreebsd-kernel-headers_0.82.dsc
 03e3f8dedd062c7b5459a9fe90bc4a10eac0a93a 52831 kfreebsd-kernel-headers_0.82.tar.gz
 67c960fd5f7ef7f2f9b3fd1e48cb11c3b7ebb255 1634846 kfreebsd-kernel-headers_0.82_kfreebsd-amd64.deb
Checksums-Sha256: 
 c4973a27cf3fcd66e3a9316ed0723dbcf1dd0bc44a31671fb8e1622361458bc2 1201 kfreebsd-kernel-headers_0.82.dsc
 45e0e8f453b8a767425d74bc96e23e455844485b92a68ba6be9e8f26745f9e4d 52831 kfreebsd-kernel-headers_0.82.tar.gz
 3e66f63b9fd37b1d30286a9014073feb5661403abb4f8960efcbdaae4927ed60 1634846 kfreebsd-kernel-headers_0.82_kfreebsd-amd64.deb
Files: 
 4a017e45b02473f0cd725446a064a879 1201 kernel standard kfreebsd-kernel-headers_0.82.dsc
 31caceb900e9cad6d3fe3d8f1fe8f269 52831 kernel standard kfreebsd-kernel-headers_0.82.tar.gz
 9eb0896fda6b30ae99b70d3cf00a19ed 1634846 kernel standard kfreebsd-kernel-headers_0.82_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/kFreeBSD)

iEYEARECAAYFAk/uBn8ACgkQC19io6rUCv8npACfUEFKXOZ7CvPAMytvViaRS7gT
lqIAni4BLHkSOytI+aMtkgWLFU3ALFv+
=bbmu
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 07 Aug 2012 07:27:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 14:22:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.